# Class DocFlavor.CHAR_ARRAY

java.lang.Object
javax.print.DocFlavor
javax.print.DocFlavor.CHAR_ARRAY

All Implemented Interfaces:
  `Serializable, Cloneable`

Enclosing class:
  `DocFlavor`

public static class DocFlavor.CHAR_ARRAY extends DocFlavor
Class `DocFlavor.CHAR_ARRAY` provides predefined static constant `DocFlavor` objects for example doc flavors using a character array (`char[]`) as the print data representation class. As such, the character set is Unicode.

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces declared in class DocFlavor

`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`
Modifier and Type
Class
Description
`static class`
`DocFlavor.BYTE_ARRAY`
Class `DocFlavor.BYTE_ARRAY` provides predefined static constant `DocFlavor` objects for example doc flavors using a byte array (`byte[]`) as the print data representation class.
`static class`
`DocFlavor.CHAR_ARRAY`
Class `DocFlavor.CHAR_ARRAY` provides predefined static constant `DocFlavor` objects for example doc flavors using a character array (`char[]`) as the print data representation class.
`static class`
`DocFlavor.INPUT_STREAM`
Class `DocFlavor.INPUT_STREAM` provides predefined static constant `DocFlavor` objects for example doc flavors using a byte stream (`java.io.InputStream`) as the print data representation class.
`static class`
`DocFlavor.READER`
Class `DocFlavor.READER` provides predefined static constant `DocFlavor` objects for example doc flavors using a character stream (`java.io.Reader`) as the print data representation class.
`static class`
`DocFlavor.SERVICE_FORMATTED`
Class `DocFlavor.SERVICE_FORMATTED` provides predefined static constant `DocFlavor` objects for example doc flavors for service formatted print data.
`static class`
`DocFlavor.STRING`
Class `DocFlavor.STRING` provides predefined static constant `DocFlavor` objects for example doc flavors using a string (`java.lang.String`) as the print data representation class.
`static class`
`DocFlavor.URL`
Class `DocFlavor.URL` provides predefined static constant `DocFlavor` objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DocFlavor.CHAR_ARRAY`
`TEXT_HTML`
Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"[C"` (character array).
`static final DocFlavor.CHAR_ARRAY`
`TEXT_PLAIN`
Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"[C"` (character array).

### Fields declared in class DocFlavor

`hostEncoding`
Modifier and Type
Field
Description
`static final String`
`hostEncoding`
A string representing the host operating system encoding.

## Constructor Summary

Constructors
Constructor
Description
`CHAR_ARRAY(String mimeType)`
Constructs a new doc flavor with the given MIME type and a print data representation class name of `"[C"` (character array).

## Method Summary

### Methods declared in class DocFlavor

`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`
Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Determines if this doc flavor object is equal to the given object.
`String`
`getMediaSubtype()`
Returns this doc flavor object's media subtype (from the MIME type).
`String`
`getMediaType()`
Returns this doc flavor object's media type (from the MIME type).
`String`
`getMimeType()`
Returns this doc flavor object's MIME type string based on the canonical form.
`String`
`getParameter(String paramName)`
Returns a `String` representing a MIME parameter.
`String`
`getRepresentationClassName()`
Returns the name of this doc flavor object's representation class.
`int`
`hashCode()`
Returns a hash code for this doc flavor object.
`String`
`toString()`
Converts this `DocFlavor` to a string.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Field Details

### TEXT_PLAIN

public static final DocFlavor.CHAR_ARRAY TEXT_PLAIN
Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"[C"` (character array).

### TEXT_HTML

public static final DocFlavor.CHAR_ARRAY TEXT_HTML
Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"[C"` (character array).

## Constructor Details

### CHAR_ARRAY

public CHAR_ARRAY(String mimeType)
Constructs a new doc flavor with the given MIME type and a print data representation class name of `"[C"` (character array).

Parameters:
  `mimeType` - MIME media type string. If it is a text media type, it is assumed to contain a `"charset=utf-16"` parameter.
Throws:
  `NullPointerException` - if `mimeType` is `null`
  `IllegalArgumentException` - if `mimeType` does not obey the syntax for a MIME media type string